geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Genc, Ă–mer <Oemer.G...@iais.fraunhofer.de>
Subject Postgres/postgis problem: java.lang.ClassCastException: org.postgresql.util.PGobject cannot be cast to org.postgis.PGgeometry
Date Sun, 26 Jan 2014 21:19:11 GMT
Hey there,

I am having trouble in getting postgresql with extension postgis running under Geronimo 3.0.1.
I have an application which worked fine under Geronimo 2.2.1. This application uses postgresql
and postgis. With Geronimo 2.2.1 everything works as expected.

However, migrating towards Geronimo 3.0.1 yields a ClassCastException, although  it is the
exact same module.

I have installed the postgres jdbc driver in Geronimo. I am able to run queries against my
database from the webconsole of Geronimo.
In my EAR module I have included the Postgres-9.1-903.jdbc.jar and the postgis-2.0.1.jar in
the Class-Path entry of the modules MANIFEST.MF file.
Everything is the same, as it was with Geronimo 2.2.1.

However, it seems that these jars are not found during runtime. The deployment however succeeds.

Anyone an idea, what else I could check?

Thanks for any suggestions,

Cheers,

Mime
View raw message